
From: Adrian Bunk <bunk@stusta.de>

There's no longer any user of inter_module_get outside of intermodule.c.

Signed-off-by: Adrian Bunk <bunk@stusta.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/include/linux/module.h |    1 -
 25-akpm/kernel/intermodule.c   |    3 +--
 2 files changed, 1 insertion(+), 3 deletions(-)

diff -puN include/linux/module.h~kernel-intermodulec-make-inter_module_get-static include/linux/module.h
--- 25/include/linux/module.h~kernel-intermodulec-make-inter_module_get-static	Mon Feb  7 15:19:35 2005
+++ 25-akpm/include/linux/module.h	Mon Feb  7 15:19:35 2005
@@ -563,7 +563,6 @@ __MODULE_PARM_TYPE(var, type);
 extern void __deprecated inter_module_register(const char *,
 		struct module *, const void *);
 extern void __deprecated inter_module_unregister(const char *);
-extern const void * __deprecated inter_module_get(const char *);
 extern const void * __deprecated inter_module_get_request(const char *,
 		const char *);
 extern void __deprecated inter_module_put(const char *);
diff -puN kernel/intermodule.c~kernel-intermodulec-make-inter_module_get-static kernel/intermodule.c
--- 25/kernel/intermodule.c~kernel-intermodulec-make-inter_module_get-static	Mon Feb  7 15:19:35 2005
+++ 25-akpm/kernel/intermodule.c	Mon Feb  7 15:19:35 2005
@@ -113,7 +113,7 @@ void inter_module_unregister(const char 
  * Try to increment the use count on the owning module, if that fails
  * then return NULL.  Otherwise return the userdata.
  */
-const void *inter_module_get(const char *im_name)
+static const void *inter_module_get(const char *im_name)
 {
 	struct list_head *tmp;
 	struct inter_module_entry *ime;
@@ -178,6 +178,5 @@ void inter_module_put(const char *im_nam
 
 EXPORT_SYMBOL(inter_module_register);
 EXPORT_SYMBOL(inter_module_unregister);
-EXPORT_SYMBOL(inter_module_get);
 EXPORT_SYMBOL(inter_module_get_request);
 EXPORT_SYMBOL(inter_module_put);
_
